#!/bin/bash

source install_helpers/common.sh

echo
echo "INSTALLING NFD"
echo "**************"

prepare_repo NFD NFD
git submodule update --init --depth 1
./waf configure --with-other-tests
./waf
sudo ./waf install
sudo cp /usr/local/etc/ndn/nfd.conf.sample /usr/local/etc/ndn/nfd.conf
sudo mkdir -p /usr/local/etc/ndn/keys
ndnsec-cert-dump -i "$(ndnsec-get-default)" | sudo tee /usr/local/etc/ndn/keys/default.ndncert > /dev/null
