Test Case - fib_matching
========================

## Objective ##

Test NFD's FIB matching mechanism on a single host.

## Description ##

This test case will run NFD, ndn-traffic-client, and ndn-traffic-server to test NFD's FIB matching mechanism.

## Steps ##

1.  Start NFD.
2.  Start ndn-traffic-server to serve / with Content "Z" with FreshnessPeriod=10ms.
3.  Start ndn-traffic-server to serve /A with Content "A" with FreshnessPeriod=10ms.
4.  Start ndn-traffic-server to serve /A/B/C with Content "C" with FreshnessPeriod=10ms.
5.  Start ndn-traffic-server to serve /D/E with Content "E" with FreshnessPeriod=10ms.
6.  Invoke ndn-traffic-client to request /F with MustBeFresh=true. Fail if unanswered or if received content is not "Z".
7.  Wait 100ms.
8.  Invoke ndn-traffic-client to request /A with MustBeFresh=true. Fail if unanswered or if received content is not "A".
9.  Wait 100ms.
10. Invoke ndn-traffic-client to request /a with MustBeFresh=true. Fail if unanswered or if received content is not "Z".
11. Wait 100ms.
12. Invoke ndn-traffic-client to request /A/B with MustBeFresh=true. Fail if unanswered or if received content is not "A".
13. Wait 100ms.
14. Invoke ndn-traffic-client to request /A/B/G with MustBeFresh=true. Fail if unanswered or if received content is not "A".
15. Wait 100ms.
16. Invoke ndn-traffic-client to request /A/B/C with MustBeFresh=true. Fail if unanswered or if received content is not "C".
17. Wait 100ms.
18. Invoke ndn-traffic-client to request /A/B/C/P/Q/R/S/T/U/V/W/X/Y/Z with MustBeFresh=true. Fail if unanswered or if received content is not "C".
